nutch-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jacob Yeager (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (NUTCH-2323) ElasticSearch Indexer does not work on Nutch 2.3.1
Date Wed, 22 Feb 2017 22:02:44 GMT

    [ https://issues.apache.org/jira/browse/NUTCH-2323?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15879331#comment-15879331
] 

Jacob Yeager commented on NUTCH-2323:
-------------------------------------

We ran into this issue as well.  The reason it is throwing a SolrIndexerJob error is that
you do not have Solr setup, and Nutch is trying to gracefully fall back to Solr since Elasticsearch
doesn't work.  For us, we found that we were trying to use Elasticsearch 5 with Nutch and
it only supports version 2.  There is a nice module available that fixes this, found at: https://github.com/mdigiacomi/indexer-elastic.

If this is your issue, just clone the above repository, replace the indexer-elastic folder
to src/plugin and replace the ivy.xml and default.properties files as well.

> ElasticSearch Indexer does not work on Nutch 2.3.1
> --------------------------------------------------
>
>                 Key: NUTCH-2323
>                 URL: https://issues.apache.org/jira/browse/NUTCH-2323
>             Project: Nutch
>          Issue Type: Bug
>          Components: indexer
>    Affects Versions: 2.3.1
>         Environment: Amazon AMI
>            Reporter: Joe Crane
>
> When attempting to Index to ElasticSearch, Nutch attempts to use SolrIndexerJob instead
of ElasticSearch's indexer, despite the correct settings in ./runtime/local/conf/nutch-site.xml
as well as ./ivy/ivy.xml. 



--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

Mime
View raw message